## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream has marked all of their tests as skipped.
%bcond_with     tests

%global         srcname     azure-mgmt-containerservice

Name:           python-%{srcname}
Version:        30.0.0
Release:        %autorelease
Summary:        Microsoft Azure Container Service Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-mgmt-storage)
BuildRequires:  python3dist(azure-mgmt-network)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif


%global _description %{expand:
Microsoft Azure Container Service Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 30.0.0-2
- Rebuilt for Python 3.13

* Tue May 07 2024 Jeremy Cline <jeremycline@microsoft.com> - 30.0.0-1
- Bump to version 30.0.0

* Wed Mar 06 2024 Jeremy Cline <jeremycline@microsoft.com> - 29.1.0-1
- Bump to v29.1.0

* Tue Feb 06 2024 Major Hayden <major@redhat.com> - 29.0.0-1
- Update to 29.0.0 rhbz#2263011

* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 28.0.0-1
- Update to 28.0.0 rhbz#2253123

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 27.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 27.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 27.0.0-1
- Update to 27.0.0 rhbz#2249655

* Wed Sep 06 2023 Major Hayden <major@redhat.com> - 26.0.0-1
- Update to 26.0.0

* Tue Aug 01 2023 Major Hayden <major@redhat.com> - 25.0.0-1
- Update to 25.0.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 24.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 24.0.0-1
- Update to 24.0.0 rhbz#2219715

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 23.0.0-2
- Rebuilt for Python 3.12

* Tue May 23 2023 Major Hayden <major@redhat.com> - 23.0.0-1
- Update to 23.0.0 rhbz#2209184

* Mon May 08 2023 Major Hayden <major@redhat.com> - 22.0.0-2
- S

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 22.0.0-1
- Update to 22.0.0 rhbz#2184352

* Tue Mar 07 2023 Major Hayden <major@redhat.com> - 21.2.0-1
- Update to 21.2.0 rhbz#2176124

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 21.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Major Hayden <major@redhat.com> - 21.1.0-1
- Update to 21.1.0

* Tue Nov 01 2022 Major Hayden <major@redhat.com> - 20.6.0-1
- Update to 20.6.0

* Fri Oct 14 2022 Major Hayden <major@redhat.com> - 20.3.0-1
- Update to 20.3.0

* Tue Aug 02 2022 Major Hayden <major@redhat.com> - 20.2.0-1
- Update to 20.2.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 19.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 19.1.0-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 19.1.0-2
- Rebuilt for Python 3.11

* Tue May 24 2022 Major Hayden <major@mhtx.net> - 19.1.0-1
- Update to 19.1.0

* Tue Apr 26 2022 Major Hayden <major@mhtx.net> - 19.0.0-1
- Update to 19.0.0

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> - 18.0.0-1
- Update to 18.0.0

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> - 17.0.0-1
- Update to 17.0.0

* Tue Feb 08 2022 Major Hayden <major@mhtx.net> - 16.4.0-1
- Update to 16.4.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 16.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 16.1.0-4
- Bump release number

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 16.1.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 16.1.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 16.1.0-1
- Update to 16.1.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 16.0.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 16.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> - 16.0.0-1
- Update to 16.0.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> - 15.1.0-1
- Initial import (#1971793)
## END: Generated by rpmautospec
